SimpleTaxon (BioJava-1.5-beta API)
Keywords: org.biojava.bio.taxa.SimpleTaxon class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.taxa
Class SimpleTaxon

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.taxa.AbstractTaxon
              org.biojava.bio.taxa.SimpleTaxon

All Implemented Interfaces:
  Annotatable, Taxon, Changeable

Deprecated. replaced by classes in `org.biojavax.bio.taxa`

    public class SimpleTaxon

extends AbstractTaxon

A no-frills implementatation of Taxon.

A TaxonFactory implementation will probably wish to sub-class this and add package-private accessors for the parent and children fields as well as a pacakge-private constructor.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`protected Set` | `children` Deprecated.
`protected Taxon` | `parent` Deprecated.

Fields inherited from interface org.biojava.bio.taxa.Taxon
`CHANGE_COMMON_NAME, CHANGE_SCIENTIFIC_NAME`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`protected` | `SimpleTaxon()` Deprecated.
`protected` | `SimpleTaxon(String scientificName, String commonName)` Deprecated. Create a new instance with no parent, no children and given scientific and common names.

Method Summary
`Set` | `getChildren()` Deprecated. The children of this Taxon.
`Taxon` | `getParent()` Deprecated. The parent of this Taxon.

Methods inherited from class org.biojava.bio.taxa.AbstractTaxon
`equals, getAnnotation, getChangeSupport, getCommonName, getScientificName, hashCode, setCommonName, setScientificName, toString`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### parent

    protected Taxon parent

  Deprecated.

### children

    protected Set children

  Deprecated.

Constructor Detail

### SimpleTaxon

    protected SimpleTaxon()

  Deprecated.

### SimpleTaxon

    protected SimpleTaxon(String scientificName,
                          String commonName)

  Deprecated.
  Create a new instance with no parent, no children and given scientific and common names.

Method Detail

### getParent

    public Taxon getParent()

  Deprecated.
  Description copied from interface: `Taxon`

  The parent of this Taxon.

  Taxa live within a tree data-structure, so every taxon has a single parent except for the root type. This has the null parent.

  Returns:
    the parent Taxon, or null if this is the root type.

### getChildren

    public Set getChildren()

  Deprecated.
  Description copied from interface: `Taxon`

  The children of this Taxon.

  Taxa live within a tree data-structure, so every taxon has zero or more children. In the case of zero children, the empty set is returned.

  ? read-only ? dynamicaly updated with taxon object ? copy of data ?

  Returns:
    the Set (possibly empty) of all child Taxa

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD